%define buildplat rpi3
%if "%{build_type}" == "DEBUG"
%define log_env CFG_TEE_CORE_LOG_LEVEL=4 DEBUG=1
%else
%define log_env CFG_TEE_CORE_LOG_LEVEL=0 DEBUG=0
%endif
%define compile_flags CROSS_COMPILE="" CROSS_COMPILE64="" PLATFORM=%{buildplat} CFLAGS=-lgcc_eh CFG_LIBUTEE_TUI=n %{log_env}
%if %{__isa_bits} == 64
%define compile_arch %{compile_flags} CFG_ARM64_core=y
%else
%define compile_arch %{compile_flags} CFG_WITH_VFP=n
%endif
%define out_dir out/arm-plat-%{buildplat}
%define export_dir export-ta_arm%{__isa_bits}
%define out_export_dir opt/optee/

Name:       optee-os
Summary:    OpTEE OS with userspace libraries and devkit for OpTEE OS.
Version:    2.4.0
Release:    1%{?dist}
Group:      Security/Testing
License:    BSD-2-Clause
URL:        https://github.com/OP-TEE/optee_os
Source0:    %{name}-%{version}.tar.gz
ExclusiveArch: armv6l armv7hl armv7l aarch64

Provides:   tee-pager.bin
Provides:   tee.bin
Provides:   optee-os-ta

BuildRequires: make
BuildRequires: python
BuildRequires: openssl

%description
Trusted execution enviroment in Linux using the ARM® TrustZone® technology.

%files
/boot/tee-pager.bin
/boot/tee.bin

%prep
%setup -q

%build
make %{compile_arch}

%install
mkdir -p %{buildroot}/boot/
mkdir -p %{buildroot}/%{out_export_dir}

cp -p %{_builddir}/%{name}-%{version}/out/arm-plat-%{buildplat}/core/tee-pager.bin %{buildroot}/boot/
cp -p %{_builddir}/%{name}-%{version}/out/arm-plat-%{buildplat}/core/tee.bin %{buildroot}/boot/
cp -rf %{_builddir}/%{name}-%{version}/%{out_dir}/%{export_dir} %{buildroot}/%{out_export_dir}/

%clean

%package ta
Summary:    OpTEE OS userspace libraries and devkit for OpTEE OS.
Group:      Security/Testing

%description ta
Trusted execution enviroment in Linux using the ARM® TrustZone® technology.

%files ta
/%{out_export_dir}/%{export_dir}
